<?php //error_reporting(E_ALL | E_STRICT);//デバッグ
//配列初期化
$userid=array();$password=array();$extensionTypeList=array();
###############################################################################################
##
#  PHP画像ギャラリー　ver1.0.0 (2013.07.13公開)
#
#  画像ギャラリーのプログラムです。
#　任意のページに埋め込みギャラリーページとして運用できます。
#　ページング（ページ送り）、サムネイル生成、リンク時画像拡大機能などがあります。
#　また、PCの他にスマホ、携帯用のファイル同梱していますので（sp/がスマホ、i/が携帯（ガラケー）です。）、
#　3デバイス（PC、スマホ、携帯（ガラケー））の同時更新が可能で、更新効率アップにもっとも最適なプログラムです。
#  改造や改変は自己責任で行ってください。
#	
#  不具合等がありましたら下記までご連絡ください。
#  MailAddress: info@php-factory.net
#  name: K.Numata
#  HP: http://www.php-factory.net/
#
#　■□ 設定時の注意点 □■　
#　1，値（=の右側）は数字以外の文字列の場合シングルクォーテーション（'）で囲んでいます。
#　2，これをを外したり削除しないでください。後ろのセミコロン「;」も削除しないください。
#　3，またドルマーク（$）が付いている文字列は絶対に変更しないでください。
#　4，数字で設定しているものは必ず「半角数字」。※シングルクォーテーション（'）では囲まない。
#　これらを間違えるとプログラムが正常に動作しませんので注意下さい。
##
###############################################################################################
if (version_compare(PHP_VERSION, '5.1.0', '>=')) {//PHP5.1.0以上の場合のみタイムゾーンを定義
	date_default_timezone_set('Asia/Tokyo');//タイムゾーンの設定（日本以外の場合には適宜設定ください）
}

//----------------------------------------------------------------------
// 　必須設定項目 (START)
//----------------------------------------------------------------------

//■管理画面ログイン用パスワード　※必ず変更してください
$userid[]   = 'admin';   // ユーザーID
$password[] = '1397';   // パスワード

//埋め込み設置するページの文字コード(umekomi.phpでのみ使用する)
//PC、スマホ、携帯で文字コードが異なる場合は、以下1行を各ファイル内「設定ファイルインクルード」の下に記述してください。
//Shift-jisは「SJIS」、EUC-JPは「EUC-JP」と指定してください。デフォルトはUTF-8。
$encodingType = 'UTF-8';

//----------------------------------------------------------------------
// 　必須設定項目 (END)
//----------------------------------------------------------------------

//----------------------------------------------------------------------
// 　任意設定（必要に応じて設定してください） (START)
//----------------------------------------------------------------------

//■登録可能数上限　
//この値を超えた場合、古いものから消えていきます。負荷を考慮しある程度上限を設けていたほうが無難です。無制限にもできます。
$max_line = 2000;
//■無制限にする場合は下記のコメント「//」（スラッシュ2つ）を外して（有効化）ください。
//$max_line = '';

//■データファイルのパス（そのまま使う場合特に変更の必要なし）
$file_path = 'data/news.dat';

//■日付の区切り文字　20○○/○○/○○の「/」部分です。※半角英数字のみ
$delimiter_text = '/';

//■日付を○年○月○日と表示する（1=する、0=しない）※有効にすると上記区切り文字は無効になります。
$up_ymd_japanese = 0;

/* 以下画像処理にはGDライブラリが必要です。※たいていのサーバーであれば入ってますが無い場合はこのプログラムは使えません */

//■画像アップ時に自動縮小後の画像の幅、または高さ（縦横比を保つため横写真は横、縦写真は縦がその値となります単位はpx）
//※アップ画像が以下より大きければ縮小処理を行います。逆にそれ以下の場合は縮小処理せずそのまま保存します。
//ギャラリーをスマホ、携帯でも使用する場合、あまり大きいと容量も増すので大きくとも400～600ぐらいがベストかと。
$imgWidthHeight = 600;

//■サムネイルのサイズ（単位はpx）
//ファイル名の先頭に「 thumb_ 」が付きます。ファイルサイズの軽いサムネイルを表示したい場合に利用ください
//PC、スマホ、携帯で共通利用します。
$imgWidthHeightThumb = 200;

//■画像アップ時のJPGの画質（0～100）※jpg時のみ　数値が大きいほど→画質良→ファイルサイズ大となる
$img_quality = 80;

//■アップ画像の最大サイズ※単位はバイト　
//※デフォルトは5MB（ただしサーバーのphp.iniの設定による。上限2MBの場合有り。変更可 ※サーバマニュアル等参考）
$maxImgSize = 5024000;


/*----------------------------------------------------------------------------
以下ページング用設定

スマホ、携帯（ガラケー）は「1ページあたりの画像表示数」と「ページングの表示数」は、
ファイル内で直接指定しているので、変更したい場合は直接ファイル内で変更下さい。
-----------------------------------------------------------------------------*/

//1ページあたりの画像表示数（PCのみ）
$pagelength = 9;

//ページングの表示数（PCのみ）数値は奇数のみ（現在のページ番号の前後に均等数のナビを表示するため）
//ナビゲーション数が超えた場合デフォルトは省略文字「...」を表示。文字列は以下で変更可。
$pagerDispLength = 5;

//ナビゲーションの省略箇所のテキスト
$overPagerPattern = '...';

//ナビゲーションの「次へ」のテキスト
$pagerNext = '次へ &raquo;';

//ナビゲーションの「前へ」のテキスト
$pagerPrev = '&laquo; 前へ';


//----------------------------------------------------------------------
// 　任意設定（必要に応じて設定してください） (END)
//----------------------------------------------------------------------


//----------------------------------------------------------------------
// 　変数定義,初期化(START)　※基本的に変更不可
//----------------------------------------------------------------------

$img_updir = "upimg";//画像の保存先を指定
$extensionTypeList = array('jpg','gif','png');
$messe = "";
$extension = "";
$copyright = "";

$perm_check01= "データ保存用の<strong>{$file_path}</strong>が書き込みできません。<strong>{$file_path}</strong>のパーミッションを「666」等書き込み可能なものに変更し、<br />パーミッションチェックしてみてください。<a href=\"admin.php?check=permission\">[変更したのでパーミッションチェックしてみる⇒]</a>";
$perm_check02= "画像保存先のパーミッションが正しくありません。<br /><strong>{$img_updir}</strong>ディレクトリに書き込み可能なパーミッション（777等またはサーバのマニュアルなどを参照）を設定してください。<br /><a href=\"admin.php?check=permission\">[変更したのでパーミッションチェックしてみる⇒]</a>";
$perm_check03= "パーミッションOK！投稿してみてください。<a href=\"admin.php\">これを非表示にする</a>";
//----------------------------------------------------------------------
// 　変数定義,初期化 (END)
//----------------------------------------------------------------------

//----------------------------------------------------------------------
// 　関数定義（基本的に変更不可） (START)
//----------------------------------------------------------------------

//携帯判定関数
function is_mb() {
$ua = $_SERVER['HTTP_USER_AGENT'];
if(preg_match("/^DoCoMo/i", $ua) || preg_match("/^(J\-PHONE|Vodafone|MOT\-[CV]|SoftBank)/i", $ua) || preg_match("/^KDDI\-/i", $ua) || preg_match("/UP\.Browser/i", $ua) || @ereg("^UP.Browser|^KDDI", $ua) || @ereg("WILLCOM",$ua)){
	return true;
}else{
	return false;
}
}

//スマホ判定関数
function is_sp() {
$useragents = array(
'iPhone', // Apple iPhone
'iPod', // Apple iPod touch
'Android', // 1.5+ Android
'dream', // Pre 1.5 Android
'CUPCAKE', // 1.5+ Android
'blackberry9500', // Storm
'blackberry9530', // Storm
'blackberry9520', // Storm v2
'blackberry9550', // Storm v2
'blackberry9800', // Torch
'webOS', // Palm Pre Experimental
'incognito', // Other iPhone browser
'webmate' // Other iPhone browser
);
$pattern = '/'.implode('|', $useragents).'/i';
return preg_match($pattern, $_SERVER['HTTP_USER_AGENT']);
}
//ニュースリストの並び順（日付順）用関数
function newsListSort($lines){
	$jj = 0;
	$index=array();
	$index2=array();
	foreach($lines as $val){
	$lines_array = explode(",",$val);
	$index[] = @strtotime($lines_array[1]);
	$index2[] = $jj++;
	}
	@array_multisort($index,SORT_DESC,SORT_NUMERIC,$index2,SORT_ASC,SORT_NUMERIC,$lines);
	return $lines;
}
//ニュースリストの並び順（日付順）ユーザ閲覧ページ用（ページャー実装時のカウントずれ補正）
function newsListSortUser($lines){
	$linesTempArray=array();
	$index=array();
	$index2=array();
	$jj = 0;
	foreach($lines as $lineVal){
	  if(strpos($lineVal, 'no_disp')===false) $linesTempArray[] = $lineVal;
	}
	foreach($linesTempArray as $val){
	$lines_array = explode(",",$val);
	$index[] = strtotime($lines_array[1]);
	$index2[] = $jj++;
	}
	@array_multisort($index,SORT_DESC,SORT_NUMERIC,$index2,SORT_ASC,SORT_NUMERIC,$linesTempArray);
	return $linesTempArray;
}

//登録文字列の置換
function replace_func($str){
	$str = htmlspecialchars($str,ENT_QUOTES,'utf-8');
	$str = str_replace("\n","<br />",$str);
	$str = str_replace("\r","",$str);
	$str = str_replace(",","、",$str);
	if (@get_magic_quotes_gpc()) $str = @stripslashes($str);
	return $str;
}
//NULLバイト除去//
function sanitize($arr){
	if(is_array($arr)){
		return array_map('sanitize',$arr);
	}
	return str_replace("\0","",$arr);
}

//ページャー関数（HTML部は変更可）
function pager($totalPage, $pageid, $pagerDispLength){
	global $pagerNext,$pagerPrev,$overPagerPattern,$encodingType;
	$pager = '';
	$next = $pageid+1;
	$prev = $pageid-1;
	$startPage =  ($pageid-floor($pagerDispLength/2)> 0) ? ($pageid-floor($pagerDispLength/2)) : 1;
	$endPage =  ($startPage> 1) ? ($pageid+floor($pagerDispLength/2)) : $pagerDispLength;
	$startPage = ($totalPage <$endPage)? $startPage-($endPage-$totalPage):$startPage;
	if($pageid != 1 ) {
		 $pager .= '<a href="?page='.$prev.'">'.$pagerPrev.'</a>';
	}
	if($startPage>= 2){
		$pager .= '<a href="?page=1" class="btnFirst">1</a>';
		if($startPage>= 3) $pager .= '<span class="overPagerPattern">'.$overPagerPattern.'</span>'; //ドットの表示
	}
	for($i=$startPage; $i <= $endPage ; $i++){
		$class = ($pageid == $i) ? ' class="current"':"";//現在のページ番号にclass追加
		if($i <= $totalPage && $i> 0 )//1以上最大ページ数以下の場合
			$pager .= '<a href="?page='.$i.'"'.$class.'>'.$i.'</a>';//ページ番号リンク表示
	}
	if($totalPage> $endPage){
		if($totalPage-1> $endPage ) $pager .= '<span class="overPagerPattern">'.$overPagerPattern.'</span>'; //ドットの表示
		$pager .= '<a href="?page='.$totalPage.'" class="btnLast">'.$totalPage.'</a>';
	}
	if($pageid <$totalPage){
		$pager .= '<a href="?page='.$next.'">'.$pagerNext.'</a>';
	}
	if($encodingType!='UTF-8') $pager = mb_convert_encoding($pager,"$encodingType",'UTF-8');
	return $pager;
}
//ページャー関数（HTML部は変更可） 携帯（ガラケー用）
function pager_mobile($totalPage, $pageid, $pagerDispLength){
	global $pagerNext,$pagerPrev,$overPagerPattern,$encodingType;
	$pager = '';
	$next = $pageid+1;
	$prev = $pageid-1;
	$startPage =  ($pageid-floor($pagerDispLength/2)> 0) ? ($pageid-floor($pagerDispLength/2)) : 1;
	$endPage =  ($startPage> 1) ? ($pageid+floor($pagerDispLength/2)) : $pagerDispLength;
	$startPage = ($totalPage <$endPage)? $startPage-($endPage-$totalPage):$startPage;
		 $pager .= '<span style="font-size:small"><font size="2">';
	if($pageid != 1 ) {
		 $pager .= '[<a href="?page='.$prev.'">'.$pagerPrev.'</a>]';
	}
	if($startPage>= 2){
		$pager .= '[<a href="?page=1" class="btnFirst">1</a>]';
		if($startPage>= 3) $pager .= '<span class="overPagerPattern">'.$overPagerPattern.'</span>'; //ドットの表示
	}
	for($i=$startPage; $i <= $endPage ; $i++){
		$class = ($pageid == $i) ? ' class="current"':"";//現在のページ番号にclass追加
		if($i <= $totalPage && $i> 0 )//1以上最大ページ数以下の場合
			$pager .= '[<a href="?page='.$i.'"'.$class.'>'.$i.'</a>]';//ページ番号リンク表示
	}
	if($totalPage> $endPage){
		if($totalPage-1> $endPage ) $pager .= '<span class="overPagerPattern">'.$overPagerPattern.'</span>'; //ドットの表示
		$pager .= '[<a href="?page='.$totalPage.'" class="btnLast">'.$totalPage.'</a>]';
	}
	if($pageid <$totalPage){
		$pager .= '[<a href="?page='.$next.'">'.$pagerNext.'</a>]';
	}
		 $pager .= "</font></span>";
	if($encodingType!='UTF-8') $pager = mb_convert_encoding($pager,"$encodingType",'UTF-8');
	return $pager;
}
//表示側日付フォーマットの設定
function ymd2format($str){
	global $up_ymd_japanese,$delimiter_text;
    $up_ymd = explode('/',$str);
	if($up_ymd_japanese == 1){
		$res = $up_ymd[0].'年'.$up_ymd[1].'月'.$up_ymd[2].'日';
	}else{
		$res = $up_ymd[0].$delimiter_text.$up_ymd[1].$delimiter_text.$up_ymd[2];
	}
	return $res;
}
//----------------------------------------------------------------------
// 　関数定義（基本的に変更不可） (END)
//----------------------------------------------------------------------

if(isset($_GET)) $_GET = sanitize($_GET);//NULLバイト除去//
if(isset($_POST)) $_POST = sanitize($_POST);//NULLバイト除去//
if(isset($_COOKIE)) $_COOKIE = sanitize($_COOKIE);//NULLバイト除去//


$warningMesse = '<center>著作権表記がありません。削除するには著作権表記削除料金（\2,000）のお支払いが必要です。<br />削除ご希望の際は下記アドレスまでご連絡をお願いします。<br />info@php-factory.net</center>';
require_once('copy.inc');
?>